Subject: bug#42921: 27.1; Setting (setq system-time-locale “C”) in daemon ineffective

From: Matthias Weigand <[email-masked]>
Date: Mon, 30 Nov 2020 07:59:11 +0000

It turned out, that although my zsh showed the correct locale, en_US.UTF-8 that is, my bash did still rock the wrong de_DE.UTF-8. 

Changing it solve the issue, for me at least. It does not explain why setting the locale in your init.el/config.org would not be accepted when running in daemon as opposed to individually instanced sessions.

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Friday, October 16, 2020 5:00 PM, Lars Ingebrigtsen <[email-masked]> wrote:

&gt; Matthias Weigand [email-masked] writes:
&gt;
&gt; &gt; I try to set the time locale to "C" in my config via (setq
&gt; &gt; system-time-locale "C"). However, when using the emacs --daemon, it is
&gt; &gt; not set properly and I end up with non-english date formats and weekday
&gt; &gt; abbreviations when the system locale is different.
&gt; &gt; Discussion over at stackexchange pointed to the time variable not being
&gt; &gt; used directly but as a terminal-local variable.
&gt; &gt; https://emacs.stackexchange.com/q/60134
&gt; &gt; Unfortunately, I am not very literate in elisp so I am not able to
&gt; &gt; provide more information. Let me know if I should test something.
&gt;
&gt; I'm unable to reproduce this error. Could you provide a recipe for
&gt; reproducing this? In particular, what are the LC_* language environment
&gt; variables?
&gt;
&gt; --------------------------------------------------------------------------------------------------------------------------------------------------------
&gt;
&gt; (domestic pets only, the antidote for overdose, milk.)
&gt; bloggy blog: http://lars.ingebrigtsen.no

</[email-masked]>